function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
import React from 'react';
import { Checkbox } from '.';
var func = function() {};
var defaultProps = {
    name: 'checkbox',
    label: 'Label',
    description: 'Description',
    disabled: false,
    size: 'm'
};
export var Default = function() {
    return /*#__PURE__*/ React.createElement(Checkbox, _object_spread({
        value: 0,
        checked: true,
        onChange: func,
        onFocus: func,
        onBlur: func
    }, defaultProps));
};
